Subject: Re: [PATCH 2/3] Add -n/--no-prompt option to mergetool

From: Charles Bailey <[email-masked]>
Date: Fri, 24 Oct 2008 23:55:39 +0100

On Fri, Oct 24, 2008 at 11:32:17PM +0100, William Pursell wrote:
>
> If the short option is dropped, the config option should
> probably associated with mergetool.<tool>.interactive rather
> than mergetool.interactive.  (s/interactive/whatever)

I'm not sure I understand your reasoning. The no-prompt/interactive
option affects the behaviour of the mergetool script independent of
which particular merge tool is being used. Why should the presence or
absence of a short option affect whether the config option is global
or per tool?

-- 
Charles Bailey
http://ccgi.hashpling.plus.com/blog/